- Main Page
- Namespaces
- Files

- File List
- File Members

# C:/Musimathics_local/Musimat/MusimatTutorial/MusimatTutorial.cpp File Reference

`#include "stdafx.h"`
`#include <iostream>`
`#include "MusimatTutorial.h"`

Go to the source code of this file.

## Namespaces
namespace | std
## Functions
int | _tmain (int argc, _TCHAR *argv[])

## Function Documentation

int _tmain | ( | int | argc,
|  | _TCHAR * | argv[] |
| ) |  |  |

Definition at line 67 of file MusimatTutorial.cpp.

References MusimatTutorial::B0100(), MusimatTutorial::B0101(), MusimatTutorial::B0102(), MusimatTutorial::B0103(), MusimatTutorial::B0104(), MusimatTutorial::B0105(), MusimatTutorial::B0106(), MusimatTutorial::B0107(), MusimatTutorial::B0108(), MusimatTutorial::B0109(), MusimatTutorial::B0110(), MusimatTutorial::B0111(), MusimatTutorial::B0112(), MusimatTutorial::B0113(), MusimatTutorial::B0114(), MusimatTutorial::B0115(), MusimatTutorial::B0116(), MusimatTutorial::B0117(), MusimatTutorial::B0118(), MusimatTutorial::B0119(), MusimatTutorial::B0120(), MusimatTutorial::B0121(), MusimatTutorial::B0122(), MusimatTutorial::B0123(), MusimatTutorial::B0124(), MusimatTutorial::B0125(), MusimatTutorial::B0126(), MusimatTutorial::B0127(), MusimatTutorial::B0128(), MusimatTutorial::B0129(), MusimatTutorial::B0200(), MusimatTutorial::B0201(), MusimatTutorial::B0201a(), MusimatTutorial::B0201b(), MusimatTutorial::B0201c(), MusimatTutorial::B0201d(), MusimatTutorial::B0202(), MusimatTutorial::B0203(), MusimatTutorial::B0204(), MusimatTutorial::B0300(), and MusimatTutorial::B0400().

    00071 {
    00072         // Plant your first breakpoint on the line below containing
    00073         // B0100().  Then run the program, which will stop just
    00074         // before executing that function.  To start the tutorial, use the
    00075         // debugger's "step into" command to step into the function.
    00076         MusimatTutorial::B0100();       // Introduction to Musimat — The programming language for "Musimathics"
    00077
    00078         // When you get here, you've finished stepping through B0100().
    00079         // To continue the tutorial, use the debugger's "step into" command to
    00080         // step into the next function.
    00081         MusimatTutorial::B0101();       // B.1.1 Basic Elements
    00082
    00083         // Use the debugger's "step into" command to continue the tutorial
    00084         // by stepping into each of the following functions.
    00085         // For some sections, there may be additional functions for you
    00086         // to visit within each file.
    00087         MusimatTutorial::B0102();       // B.1.2 Statements and Expressions
    00088         MusimatTutorial::B0103();       // B.1.3 Data Types
    00089         MusimatTutorial::B0104();       // B.1.4 Constants
    00090         MusimatTutorial::B0105();       // B.1.5 Variables
    00091         MusimatTutorial::B0106();       // B.1.6 Reserved Words
    00092         MusimatTutorial::B0107();       // B.1.7 Lists
    00093         MusimatTutorial::B0108();       // B.1.8 Operators and Operands
    00094         MusimatTutorial::B0109();       // B.1.9 Assignment
    00095         MusimatTutorial::B0110();       // B.1.10 Relations
    00096         MusimatTutorial::B0111();       // B.1.11 Logical Operations
    00097         MusimatTutorial::B0112();       // B.1.12 Operator Precedence and Associativity
    00098         MusimatTutorial::B0113();       // B.1.13 Type Promotion and Type Coercion
    00099         MusimatTutorial::B0114();       // B.1.14 Accessing List Elements
    00100         MusimatTutorial::B0115();       // B.1.15 Functions
    00101         MusimatTutorial::B0116();       // B.1.16 Conditional Statements
    00102         MusimatTutorial::B0117();       // B.1.17 Compound Statements
    00103         MusimatTutorial::B0118();       // B.1.18 Iteration
    00104         MusimatTutorial::B0119();       // B.1.19 User-Defined Functions
    00105         MusimatTutorial::B0120();       // B.1.20 Invoking Functions
    00106         MusimatTutorial::B0121();       // B.1.21 Scope of Variables
    00107         MusimatTutorial::B0122();       // B.1.22 Pass by Value vs. Pass by Reference
    00108         MusimatTutorial::B0123();       // B.1.23 Type Conversion
    00109         MusimatTutorial::B0124();       // B.1.24 Recursion
    00110         MusimatTutorial::B0125();       // B.1.25 Recursive Factorial
    00111         MusimatTutorial::B0126();       // B.1.26 Fibonacci Numbers
    00112         MusimatTutorial::B0127();       // B.1.27 Other Built-in Functions
    00113         MusimatTutorial::B0128();       // B.1.28 Comments
    00114         MusimatTutorial::B0129();       // B.1.29 Representing Text
    00115         MusimatTutorial::B0200();       // B.2 Music Datatypes in Musimat
    00116         MusimatTutorial::B0201();       // B.2.1 Pitch
    00117         MusimatTutorial::B0201a();      // Equal-Tempered Frequency
    00118         MusimatTutorial::B0201b();      // Pythagorean Chromatic Scale
    00119         MusimatTutorial::B0201c();      // Natural Chromatic Scale
    00120         MusimatTutorial::B0201d();      // Sruti Scale
    00121         MusimatTutorial::B0202();       // B.2.2 Rhythm
    00122         MusimatTutorial::B0203();       // B.2.3 Tempo
    00123         MusimatTutorial::B0204();       // B.2.4 Loudness
    00124         MusimatTutorial::B0300();       // B.3 Unicode (ASCII) Character Codes
    00125         MusimatTutorial::B0400();       // B.4 Operator Associativity and Precedence in Musimat
    00126
    00127         Return 0;
    00128 }